<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.tradingplatform.mapper.TradingPlatformInsuranceMapper">

    <resultMap type="com.trade.service.tradingplatform.domain.TradingPlatformInsurance"
               id="TradingPlatformInsuranceMap">
        <result property="id" column="id"/>
        <result property="platformId" column="platform_id"/>
        <result property="platformCode" column="platform_code"/>
        <result property="insuranceType" column="insurance_type"/>
        <result property="currencyCode" column="currency_code"/>
        <result property="totalAmount" column="total_amount"/>
        <result property="remainingAmount" column="remaining_amount"/>
        <result property="remark" column="remark"/>
        <result property="deleted" column="deleted"/>
        <result property="createBy" column="create_by"/>
        <result property="updateBy" column="update_by"/>
        <result property="gmtCreate" column="gmt_create"/>
        <result property="gmtModified" column="gmt_modified"/>
    </resultMap>

    <sql id="Base_Column_List">
        `id`, `platform_id`, `platform_code`, `insurance_type`, `currency_code`, `total_amount`, `remaining_amount`,
        `remark`, `deleted`, `create_by`, `update_by`, `gmt_create`, `gmt_modified`
    </sql>

</mapper>

